GEOS 3.4.2

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
geos::geomgraph::GraphComponent Class Referenceabstract

A GraphComponent is the parent class for the objects' that form a graph. More...

`#include <GraphComponent.h>`

Inheritance diagram for geos::geomgraph::GraphComponent:

## Public Member Functions
| GraphComponent (const Label &newLabel)
Label & | getLabel ()
const Label & | getLabel () const
void | setLabel (const Label &newLabel)
virtual void | setInResult (bool isInResult)
virtual bool | isInResult () const
virtual void | setCovered (bool isCovered)
virtual bool | isCovered () const
virtual bool | isCoveredSet () const
virtual bool | isVisited () const
virtual void | setVisited (bool isVisited)
virtual bool | isIsolated () const =0
virtual void | updateIM (geom::IntersectionMatrix &im)

## Protected Member Functions
virtual void | computeIM (geom::IntersectionMatrix &im)=0

## Protected Attributes
Label | label

## Detailed Description

A GraphComponent is the parent class for the objects' that form a graph.

Each GraphComponent can carry a Label.

The documentation for this class was generated from the following file:

- geomgraph/GraphComponent.h